Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTimerEvent Class Reference

The QTimerEvent class contains parameters that describe a timer event. More...

    #include <QTimerEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QTimerEvent ( int timerId )
- int timerId () const

- 2 public functions inherited from QEvent

## Detailed Description

The QTimerEvent class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with QObject::startTimer().

The QTimer class provides a high-level programming interface that uses signals instead of events. It also provides one-shot timers.

The event handler QObject::timerEvent() receives timer events.

See also QTimer, QObject::timerEvent(), QObject::startTimer(), and QObject::killTimer().

## Member Function Documentation

### QTimerEvent::QTimerEvent ( int timerId )

Constructs a timer event object with the timer identifier set to timerId.

### int QTimerEvent::timerId () const

Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().